/****************************************************************/
/*                                                              */
/*          S A S   I N S T A L L A T I O N   T E S T           */
/*                                                              */
/*    NAME: TSTHPDMD                                            */
/*   TITLE: INSTALLATION TEST FOR PROC HPDMDB                   */
/* PRODUCT: HPA                                                 */
/*  SYSTEM:                                                     */
/*    KEYS:                                                     */
/*   PROCS: HPDMDB, DATA STEP                                   */
/*    DATA:                                                     */
/*                                                              */
/* SUPPORT:                                                     */
/*  UPDATE:                                                     */
/*     REF:                                                     */
/*    MISC:                                                     */
/*                                                              */
/****************************************************************/

%macro check(data1,data2,opts,drop);

proc compare base=&data1(label='' &drop)
             compare=&data2(label='' &drop)
             outstats=check nosummary &opts;
    attrib _all_ format = label = '';
run;

%rccheck(&sysinfo,0);

%mend;

data ex;
    input x1 x2 x3 x4 y$ w f y2;
datalines;
1 2 1 1 m .90 1 0
1 2 1 2 m .91 2 1
1 2 1 3 x .89 1 4
1 2 1 4 x .90 2 4
1 3 1 1 m .91 1 1
1 3 1 2 m .89 2 1
2 3 1 3 x .90 1 5
2 3 1 4 x .89 2 5
3 1 2 1 z .90 1 2
3 1 2 2 z .89 2 2
3 1 2 3 y .90 1 7
3 1 2 4 y .89 2 7
3 4 2 1 z .90 1 3
3 4 2 2 z .89 2 3
4 4 2 3 y .90 1 6
4 4 2 4 y .89 2 6
;


 *- SMP MODE -*;
proc hpdmdb data=ex print;
    ods output classlevels=ClassLevels_SMP;
    class x1-x3;
    weight w;
    var x4 y2;
    freq f;
run;

 *- MPP MODE -*;
proc hpdmdb data=ex print;
    ods output classlevels=ClassLevels_MPP;
    class x1-x3;
    weight w;
    var x4 y2;
    freq f;
    performance &PERFORMANCE_OPTS;
run;

data ClassLevels2(label='Class Level Information');
    length class $ 2 values $ 8;
    input Class $ Levels Values $ 20-26;
datalines;
x1            4    1 2 3 4
x2            4    1 2 3 4
x3            2    1 2
;

%check(ClassLevels_SMP,Classlevels2,
  %str(method=absolute criterion=.0001),);
%check(ClassLevels_MPP,Classlevels2,
  %str(method=absolute criterion=.0001),);