/****************************************************************/
/*                                                              */
/*          S A S   I N S T A L L A T I O N   T E S T           */
/*                                                              */
/*    NAME: TSTHPDS2                                            */
/*   TITLE: INSTALLATION TEST FOR PROC HPDS2                    */
/* PRODUCT: HPA                                                 */
/*  SYSTEM:                                                     */
/*    KEYS:                                                     */
/*   PROCS: HPDS2, DATA STEP                                    */
/*    DATA:                                                     */
/*                                                              */
/* SUPPORT:                                                     */
/*  UPDATE:                                                     */
/*     REF:                                                     */
/*    MISC:                                                     */
/*                                                              */
/****************************************************************/

%macro check(data1,data2,opts,drop);

proc compare base=&data1(label='' &drop)
             compare=&data2(label='' &drop)
             outstats=check nosummary &opts;
    attrib _all_ format = label = '';
run;

%rccheck(&sysinfo,0);

%mend;

data a1;
    infile datalines delimiter=',';
    input a $ b $ c $ d e f g h i;
datalines;
abc,def,ghi,1,2,3,100.1,100.2,100.3
jkl,mno,pqr,4,5,6,100.4,100.5,100.6
stu,vwx,yza,7,8,9,100.7,100.8,100.9
bcd,efg,hij,10,11,12,101.1,101.2,101.3
;

*- SMP MODE -*;
proc hpds2 in=a1 out=hpsmp;
    data DS2GTF.out;
        method run();
            set DS2GTF.in;
            if f > 5 then output;
        end;
    enddata;
run;
proc sort data=hpsmp; by a; run;

*- MPP MODE (MPP) - write output back to client -*;
proc hpds2 in=a1 out=hpmpp;
    performance &PERFORMANCE_OPTS;
    data DS2GTF.out;
    method run();
        set DS2GTF.in;
            if f > 5 then output;
        end;
    enddata;
run;
proc sort data=hpmpp; by a; run;

/* expected output */
data hpout;
    infile datalines delimiter=',';
    input a $ b $ c $ d e f g h i;
datalines;
bcd,efg,hij,10,11,12,101.1,101.2,101.3
jkl,mno,pqr,4,5,6,100.4,100.5,100.6
stu,vwx,yza,7,8,9,100.7,100.8,100.9
;

/* Compare all output files from HPDS2 to hpout */

%check(hpsmp,hpout);

%check(hpmpp,hpout);
